Subject: Re: Reachability lists in git

From: Jonathan Nieder <[email-masked]>
Date: Tue, 18 Nov 2014 11:41:29 -0800

Hi,

Alan Stern wrote:

> The "git rev-list A ^B" command lists all the commits that are
> reachable from A but not from B.  Is there a comparable command for the
> converse relation, that is, a command to list all the commits that A is
> reachable from but B isn't?
>
> And if there is such a command, can the output be limited to just the
> latest commits?  That is, list commit X if and only if A is reachable
> from X, B isn't reachable from X, and B is reachable from each of X's
> children?

Someone else can answer your direct question, but you've got my
curiosity.  What is the application?

--ancestry-path is my current favorite tool for walking-forward needs.

Curious,
Jonathan